Español

Preguntas frecuentes: ¿Qué necesito saber sobre TLS 1.2 y la plataforma ArcGIS?

Pregunta

Preguntas frecuentes: ¿Qué necesito saber sobre TLS 1.2 y la plataforma ArcGIS?

Respuesta

Esri está comprometida con la provisión de gran seguridad en la plataforma ArcGIS a través del uso de los estándares del sector y las prácticas recomendadas de los protocolos de seguridad más recientes. Para cumplir las expectativas del sector, haremos un importante cambio de configuración de ArcGIS Online en febrero de 2019 que puede afectar a todas las soluciones personalizadas y de software de ArcGIS. Con dicho cambio, exigimos el uso solo de la versión 1.2 de TLS (Transport Layer Security) y suprimiremos la compatibilidad con las versiones 1.0 y 1.1 anteriores de TLS.

Para ayudarle a planificar el cambio, a continuación encontrará una lista de preguntas frecuentes. Compruébela a menudo, ya que agregaremos respuestas continuamente en base a sus opiniones.

Si tiene una pregunta que no hemos abordado a continuación ni en otra documentación sobre TLS de Esri, complete el siguiente formulario web:

Formulario web de comentarios: La plataforma ArcGIS y TLS 1.2

  1. ¿Qué es TLS?
    TLS, sigla de "Transport Layer Security" (seguridad de la capa de transporte) es un protocolo de seguridad de red muy utilizado. Proporciona privacidad e integridad de los datos entre aplicaciones que se comunican por una red. Usted usa TLS siempre que accede a los servicios de ArcGIS Online, como mapas base, servicios de geoprocesamiento y Living Atlas desde ArcGIS Desktop, ArcGIS Enterprise y otras aplicaciones. Para obtener más información, consulte la sección Vínculos relacionados que aparece a continuación.
     

  2. ¿Por qué Esri no exige la versión más reciente de TLS, TLS 1.3? 
    La especificación final de TLS 1.3 se publicó en agosto de 2018 y sus implementaciones son limitadas. Por ejemplo, Microsoft todavía no ha publicado la compatibilidad de TLS 1.3 para .NET. La práctica recomendada del sector para sistemas de producción es garantizar la disponibilidad de TLS 1.2.
     

  3. ¿Afecta a toda la plataforma ArcGIS? 
    La mayor parte de la plataforma ArcGIS utiliza TLS en comunicaciones web seguras. Sin embargo, cada aplicación tiene distintas instrucciones para garantizar la conectividad continuada a servicios web seguros. Para obtener más detalles, consulte la Lista de productos afectados de Esri.
     

  4. ¿Mi producto se verá afectado por el cambio a TLS 1.2? 
    Para comprender si su producto se ha visto afectado por la implementación de TLS 1.2, consulte la Lista de productos afectados de Esri.
     

  5. ¿Afecta de la misma manera a cada producto del conjunto de ArcGIS Desktop (ArcGIS Pro, ArcMap, ArcCatalog, etc.)?
    Todas las versiones admitidas actualmente de ArcGIS Pro no requieren ninguna acción. Todas las versiones admitidas actualmente de ArcGIS Desktop 10.x requieren acciones específicas de la versión. Consulte la Página sobre TLS del Soporte técnico de Esri para obtener más información.
     

  6. Si no realizo ninguna actualización ni instalo ningún parche, ¿qué no va a funcionar?
    Toda aplicación que solicite conectarse a ArcGIS Online o cualquier servicio web que utilice solo TLS 1.2 no podrá conectarse. Algunos ejemplos incluyen, entre otros, ArcGIS Online, mapas base, servicios de geocodificación, servicios de generación de rutas listos para usar, Living Atlas, etc.

     

  7. ¿Qué cambios son necesarios para las aplicaciones web creadas con ArcGIS API for JavaScript?
    ArcGIS API for JavaScript no se ve afectada por la implementación de TLS 1.2 de Esri. Pronto enumeraremos la API en "Productos de software no afectados" en la Lista de productos afectados por el TLS 1.2 de Esri , así como en otra documentación.

     

  8. ¿Hay o habrá un sitio de muestra que utilice solo TLS 1.2 y que pueda verificar la funcionalidad frente a antes de que se realizara el cambio?
    Sí, Esri publicó en este artículo una serie de recursos para ayudarle a probar conexiones TLS 1.2 a ArcGIS Online. Esri incorporará más pruebas a esta página a medida que vayan estando disponibles.
     

  9. ¿Habrá parches para ArcGIS Enterprise, ArcGIS Server o Portal for ArcGIS?
    No, consulte el siguiente artículo técnico para obtener más información sobre los pasos requeridos para su versión de software y sistema operativo. Preguntas frecuentes: Si se deshabilita TLS 1.0 y 1.1, ¿de qué modo se ven afectados ArcGIS Enterprise y sus componentes de software asociados, ArcGIS Server y Portal for ArcGIS? 
     

  10. ¿Cuándo estarán disponibles los parches de TLS 1.2 para todas las versiones de ArcGIS Desktop?
    En el momento de redactar este documento, los parches para ArcGIS for Desktop 10.2.1, 10.4., 10.4.1, 10.5.1 y 10.6.1 están disponibles aquí: Parche TLS de ArcGIS Desktop. Para el resto de versiones, Esri publicará parches cuando estén disponibles. Para obtener actualizaciones sobre parches y más información sobre TLS 1.2, haga clic en el botón de suscripción en la parte inferior de la página sobre TLS del Soporte técnico de Esri.
     

  11. ¿Se proporcionará más información a medida que se acerque la implementación prevista para febrero de 2019 de TLS 1.2?

    ACTUALIZACIÓN: Debido al cierre parcial del gobierno federal de los Estados Unidos, Esri ha pospuesto la implementación de TLS 1.2 hasta el 16 de abril de 2019. Lea este anuncio para obtener más información. A medida que se acerque la implementación, Esri actualizará continuamente la documentación sobre TLS 1.2, incluidos cambios de fechas, soluciones, parches, entornos de prueba, etc. Para recibir notificaciones cuando haya nueva información disponible, haga clic en el botón de suscripción en la página sobre TLS del Soporte técnico de Esri o en cualquier artículo técnico de TLS.

Related Information